// blu_idpw02
// APP을 만들고 그 앱으로 전등을 켜고 끄기 실습
// 0, 1번은 시리얼 통신으로 USB연결되므로 HC-06은 2,3번을 사용한다.
// 소프트웨어 시리얼은 프로그램적으로 0,1외의 나머지 핀에 연결하여 통신용을 할 수 있다.

#include<SoftwareSerial.h>
#define rxpin 2 // 블루투수 입장에서는 tx 핀, 아두이노2번에 연결
#define txpin 3 // 블루투스 입장에서는 rx 핀, 아두이노3번에 연결

SoftwareSerial BTSerial(rxpin, txpin); 

void setup() {
   BTSerial.begin(9600); // 외부로 전송하기 위한 선언
   Serial.begin(9600);   // 시리얼 통신 가동
}

void loop() {
   if(Serial.available())
     BTSerial.write(Serial.read());
     
   if(BTSerial.available())
     Serial.write(BTSerial.read());
}